PipeWire: impl-link.c File Reference

PipeWire 0.3.37

Macros | Functions
impl-link.c File Reference
Include dependency graph for impl-link.c:

## Macros
#define | NAME "link"
#define | MAX_HOPS 32
#define | pw_link_resource_info(r, ...) pw_resource_call(r,struct pw_link_events,info,0,__VA_ARGS__)

## Functions
int | pw_impl_link_activate (struct pw_impl_link *this)
int | pw_impl_link_prepare (struct pw_impl_link *this)
int | pw_impl_link_deactivate (struct pw_impl_link *this)
struct pw_impl_link * | pw_context_create_link (struct pw_context *context, struct pw_impl_port *output, struct pw_impl_port *input, struct spa_pod *format_filter, struct pw_properties *properties, size_t user_data_size)
| Make a new link between two ports. More...
int | pw_impl_link_register (struct pw_impl_link *link, struct pw_properties *properties)
| Finish link configuration and register. More...
void | pw_impl_link_destroy (struct pw_impl_link *link)
| Destroy a link. More...
void | pw_impl_link_add_listener (struct pw_impl_link *link, struct spa_hook *listener, const struct pw_impl_link_events *events, void *data)
| Add an event listener to link. More...
struct pw_impl_link * | pw_impl_link_find (struct pw_impl_port *output_port, struct pw_impl_port *input_port)
| Find the link between 2 ports. More...
struct pw_context * | pw_impl_link_get_context (struct pw_impl_link *link)
| Get the context of a link. More...
void * | pw_impl_link_get_user_data (struct pw_impl_link *link)
| Get the user_data of a link, the size of the memory is given when constructing the link. More...
const struct pw_link_info * | pw_impl_link_get_info (struct pw_impl_link *link)
| Get the link info. More...
struct pw_global * | pw_impl_link_get_global (struct pw_impl_link *link)
| Get the global of the link. More...
struct pw_impl_port * | pw_impl_link_get_output (struct pw_impl_link *link)
| Get the output port of the link. More...
struct pw_impl_port * | pw_impl_link_get_input (struct pw_impl_link *link)
| Get the input port of the link. More...

## Macro Definition Documentation

## ◆ MAX_HOPS

#define MAX_HOPS 32

## ◆ NAME

#define NAME "link"

## ◆ pw_link_resource_info

#define pw_link_resource_info | ( |  | r,
|  |  | ...
| ) |  | pw_resource_call(r,struct pw_link_events,info,0,__VA_ARGS__)

## Function Documentation

## ◆ pw_impl_link_activate()

int pw_impl_link_activate | ( | struct pw_impl_link * | this | ) |

References impl::info, NAME, pw_link_state_as_string(), pw_log_debug, SPA_CONTAINER_OF, and impl::this.

## ◆ pw_impl_link_deactivate()

int pw_impl_link_deactivate | ( | struct pw_impl_link * | this | ) |

References NAME, pw_log_debug, pw_loop_invoke, and SPA_CONTAINER_OF.

Referenced by pw_impl_link_destroy().

## ◆ pw_impl_link_prepare()

int pw_impl_link_prepare | ( | struct pw_impl_link * | this | ) |

References NAME, pw_log_debug, pw_work_queue_add(), SPA_CONTAINER_OF, and impl::work.